import type { ISession, Options } from './types';
/**
 * https://www.ncbi.nlm.nih.gov/pmc/tools/id-converter-api/
 */
export declare function convertPMID2PMCID(session: ISession, PMID: string, opts: Options): Promise<string | undefined>;
export declare function checkIfPubMedCentralHasJats(session: ISession, urlOrDoi: string, opts: Options): Promise<string | undefined>;
export declare function downloadJatsFromUrl(session: ISession, urlOrDoi: string, opts?: Options): Promise<{
    source: string;
    data: string;
}>;
//# sourceMappingURL=download.d.ts.map