import type { ISession as BaseISession } from 'myst-cli-utils';
export declare type ISession = BaseISession;
export interface Resolver {
    test: (url: string) => boolean;
    jatsUrl: (url: string) => string;
}
export declare type Options = {
    resolvers?: Resolver[];
    fetcher?: (url: string, contentType?: 'json' | 'xml') => Promise<Pick<Response, 'ok' | 'headers' | 'text' | 'json' | 'status' | 'statusText' | 'url'>>;
};
//# sourceMappingURL=session.d.ts.map